package org.jk.rag.service;

import org.jk.common.mybatis.core.page.TableDataInfo;
import org.jk.common.mybatis.core.page.PageQuery;
import org.jk.rag.domain.bo.SysTokenLogBo;
import org.jk.rag.domain.vo.SysTokenLogVo;
import org.jk.rag.domain.vo.SysUserOnlineLogVo;

import java.util.Collection;
import java.util.List;

/**
 * 在线人数记录Service接口
 *
 * @author Lion Li
 * @date 2026-01-27
 */
public interface ISysTokenLogService {

    /**
     * 查询在线人数记录
     *
     * @param id 主键
     * @return 在线人数记录
     */
    SysTokenLogVo queryById(Long id);

    /**
     * 分页查询在线人数记录列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 在线人数记录分页列表
     */
    TableDataInfo<SysTokenLogVo> queryPageList(SysTokenLogBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的在线人数记录列表
     *
     * @param bo 查询条件
     * @return 在线人数记录列表
     */
    List<SysTokenLogVo> queryList(SysTokenLogBo bo);

    /**
     * 新增在线人数记录
     *
     * @param bo 在线人数记录
     * @return 是否新增成功
     */
    Boolean insertByBo(SysTokenLogBo bo);

    /**
     * 修改在线人数记录
     *
     * @param bo 在线人数记录
     * @return 是否修改成功
     */
    Boolean updateByBo(SysTokenLogBo bo);

    /**
     * 校验并批量删除在线人数记录信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<SysTokenLogVo> queryThirtyDayData();

    List<SysTokenLogVo> queryTwelveMonthData();
}
